using System.Collections;
using FrameworkEngine.Locate;
using FrameworkEngine.SceneManagement;
using UnityEngine;


namespace GameEngine.Main
{
	public class MainEntry : EntryBehaviour
	{
		[SerializeField] private LocateContainer m_Container = default(LocateContainer);




		protected override void OnEntryStart()
		{
			base.OnEntryStart();

			GameController gc = m_Container.Locate<GameController>();
			gc.StartCoroutine(Initialize(gc));
		}


		private IEnumerator Initialize(GameController gc)
		{
			yield return null;

			gc.SetState("Start");
		}
	}
}
